=== debian/changelog ===
bowtie (1.2.2+dfsg-2) unstable; urgency=medium

  * Update d/tests/run-unit-test
    -  export BOWTIE_INDEXES, Closes: #888844
    -  enable test for example9
  * Bump Standards-Version to 4.1.3 (No changes needed),
    set debhelper & d/compat to version 11

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 31 Jan 2018 14:04:41 +0100

bowtie (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.2~beta+dfsg
  * Refresh patches
  * New upstream version 1.2.2+dfsg
  * Refresh patches
  * Bump Standards-Version to 4.1.2
  * Update copyright, note license change to Artistic License 2.0

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 16 Dec 2017 19:17:18 +0100

bowtie (1.2.1.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Simplified d/watch
  * Build-Depends: zlib1g-dev

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Completed references to registries
    - yamllint cleanliness

  [ Alexandre Mestiashvili ]
  * Update d/copyright:
    - use https for Format field
    - link to versioned license
    - add .cvsignore to Files-Excluded list
    - add myself to debian/* section
  * Add myself to uploaders, bump Standards-Version
  * Rearrange patch headers (cme fix dpkg), update spelling.patch
  * Re-introduce no_hash_style_both_for_mips.patch fixing build on mips64el
    Closes: #864448
  * Update d/rules:
    - drop get-orig-source target
    - hardcode binary package name instead of using dpkg-parsechangelog
  * Disable unit tests for example6 and example9 as the output is different
    compared to older bowtie versions
  * Override lintian's warnings for binaries used with wrapper scripts

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 19 Oct 2017 20:35:11 +0200
