=== debian/control ===
Source: bowtie
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Ognyan Kulev <ogi@debian.org>,
           Stephan Struckmann <stephan.struckmann@gmail.com>,
           Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               help2man,
               libtbb-dev,
               python,
               seqan-dev (>= 1.4),
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bowtie.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/bowtie.git
Homepage: http://bowtie-bio.sourceforge.net/

Package: bowtie
Architecture: alpha any-amd64 arm64 mips64el ppc64 ppc64el s390x sparc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python
Suggests: bowtie-examples
Description: Ultrafast memory-efficient short read aligner
 This package addresses the problem to interpret the results from the
 latest (2010) DNA sequencing technologies. Those will yield fairly
 short stretches and those cannot be interpreted directly. It is the
 challenge for tools like Bowtie to give a chromosomal location to the
 short stretches of DNA sequenced per run.
 .
 Bowtie aligns short DNA sequences (reads) to the human genome at a rate
 of over 25 million 35-bp reads per hour. Bowtie indexes the genome with
 a Burrows-Wheeler index to keep its memory footprint small: typically
 about 2.2 GB for the human genome (2.9 GB for paired-end).

Package: bowtie-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: bowtie
Enhances: bowtie
Description: Examples for bowtie, the ultrafast memory-efficient short read aligner
 This package addresses the problem to interpret the results from the
 latest (2010) DNA sequencing technologies. Those will yield fairly
 short stretches and those cannot be interpreted directly. It is the
 challenge for tools like Bowtie to give a chromosomal location to the
 short stretches of DNA sequenced per run.
 .
 Bowtie aligns short DNA sequences (reads) to the human genome at a rate
 of over 25 million 35-bp reads per hour. Bowtie indexes the genome with
 a Burrows-Wheeler index to keep its memory footprint small: typically
 about 2.2 GB for the human genome (2.9 GB for paired-end).
 .
 This package provides some example data to work with bowtie.
