=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bowtie-examples
Restrictions: allow-stderr
