## bowtie 1.2.3%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -420,9 +420,10 @@
 
 doc/manual.html: MANUAL.markdown
 	echo "<h1>Table of Contents</h1>" > .tmp.head
-	pandoc -T "Bowtie Manual" -B .tmp.head \
+	pandoc -B .tmp.head \
 	       --css style.css -o $@ \
 	       --from markdown --to HTML \
+	       --metadata title:"Bowtie Manual" \
 	       --table-of-contents $^
 
 MANUAL: MANUAL.markdown
@@ -450,4 +451,3 @@
 	if [ ! -e .perllib.tmp ]; then \
 		DL=$$([ `which wget` ] && echo wget -O- || echo curl -L) ; \
 		mkdir .perllib.tmp ; \
-		$$DL http://cpanmin.us | perl - -l $(CURDIR)/.perllib.tmp App::cpanminus local::lib ; \
