=== debian/control ===
--- 
+++ 
@@ -4,25 +4,29 @@
            Andreas Tille <tille@debian.org>,
            Ognyan Kulev <ogi@debian.org>,
            Stephan Struckmann <stephan.struckmann@gmail.com>,
-           Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
+           Alexandre Mestiashvili <mestia@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                help2man,
                libtbb-dev,
-               python,
-               seqan-dev (>= 1.4),
-               zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/bowtie.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bowtie.git
+               python3,
+               seqan-dev,
+               zlib1g-dev,
+               libclone-perl,
+               libtest-deep-perl,
+               libsys-info-perl
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/bowtie
+Vcs-Git: https://salsa.debian.org/med-team/bowtie.git
 Homepage: http://bowtie-bio.sourceforge.net/
 
 Package: bowtie
-Architecture: alpha any-amd64 arm64 mips64el ppc64 ppc64el s390x sparc64
+Architecture: alpha any-amd64 arm64 mips64el ppc64 ppc64el s390x sparc64 riscv64
+Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         python
+         python3
 Suggests: bowtie-examples
 Description: Ultrafast memory-efficient short read aligner
  This package addresses the problem to interpret the results from the
