## bowtie 1.2.3+dfsg

=== debian/changelog ===
bowtie (1.2.3+dfsg-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:15 +0100

bowtie (1.2.3+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Switch to single threaded testing, add riscv64

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 11 Jan 2020 12:14:53 +0100

bowtie (1.2.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * `make simple-test` in addition to our own tests
  * Remove obsolete fields Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 08 Jan 2020 12:39:33 +0100

bowtie (1.2.3+dfsg-2) unstable; urgency=medium

  * Use python3 in (Build-)Depends in d/control
  * Use 2to3 to port scripts to python3, Closes: #936232

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 05 Sep 2019 17:49:44 +0200

bowtie (1.2.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix edam syntax input+output is singular

  [ Alexandre Mestiashvili ]
  * New upstream version 1.2.3+dfsg
  * Drop applied by upstream and refresh patches
  * Add strip_html5shiv.patch, removing condition loading html5shiv for old IEs
  * Update d/control, remove version from seqan-dev, bump Policy to 4.4.0
  * Switch to debhelper-compat, drop d/compat

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 11 Jul 2019 16:09:02 +0200

bowtie (1.2.2+dfsg-4) unstable; urgency=medium

  [ Andreas Tille ]
  * spelling
  * Upload to unstable

  [ Dylan Aïssi ]
  * Update metadata: Add bio.tools ref

  [ Alexandre Mestiashvili ]
  * Add patch fixing FTBFS, thanks to ch4rr0 at github.com
    Closes: #906341
  * Check for DEB_BUILD_OPTIONS and nocheck

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 05 Sep 2018 14:34:56 +0000

bowtie (1.2.2+dfsg-3) unstable; urgency=medium

  * Fix watch file to not detect beta versions
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 23 May 2018 17:59:29 +0200
