## bowtie 1.3.0%2Bdfsg1

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/BenLangmead/bowtie/releases .*/archive/v(\d[-.\d]+)@ARCHIVE_EXT@
