## bowtie 1.3.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,8 @@
 prefix = /usr/local
 bindir = $(prefix)/bin
 
-SEQAN_DIR = ./SeqAn-1.1
-# treat SeqAn as a sysdir to suppress warnings
-SEQAN_INC = -isystem $(SEQAN_DIR)
-INC = $(if $(RELEASE_BUILD),-I$(CURDIR)/.include) $(SEQAN_INC) -I third_party
-CPP = g++
-CXX = $(CPP)
-CC = gcc
+ARCH = $(shell uname -m)
+INC = $(if $(RELEASE_BUILD),-I$(CURDIR)/.include) -I third_party
 LIBS = $(LDFLAGS) $(if $(RELEASE_BUILD),-L$(CURDIR)/.lib) -lz
 HEADERS = $(wildcard *.h)
 BOWTIE_MM = 1
@@ -21,8 +16,7 @@
 EXTRA_CXXFLAGS =
 CFLAGS += $(EXTRA_CFLAGS)
 CXXFLAGS += $(EXTRA_CXXFLAGS)
-WARNING_FLAGS = -Wall -Wno-unused-parameter -Wno-reorder \
-				-Wno-unused-local-typedefs
+WARNING_FLAGS = -Wall -Wno-unused-parameter -Wno-reorder
 
 RELEASE_DEPENDENCIES = $(if $(RELEASE_BUILD),static-libs)
 
@@ -50,8 +44,6 @@
 ifneq (,$(findstring Darwin,$(shell uname)))
     MACOS = 1
 	ifneq (,$(findstring 13,$(shell uname -r)))
-		CPP = clang++
-		CC = clang
 		override EXTRA_FLAGS += -stdlib=libstdc++
 	endif
 	ifeq (1, $(RELEASE_BUILD))
@@ -63,7 +55,7 @@
 ifneq (,$(findstring Linux,$(shell uname)))
     LINUX = 1
     override EXTRA_FLAGS += -Wl,--hash-style=both
-endif
+ endif
 
 MM_DEF = 
 ifeq (1,$(BOWTIE_MM))
@@ -76,11 +68,6 @@
 PTHREAD_PKG =
 PTHREAD_LIB =
 PTHREAD_DEF =
-
-#if we're not using TBB, then we can't use queuing locks
-ifeq (1,$(NO_TBB))
-	NO_QUEUELOCK=1
-endif
 
 ifeq (1,$(MINGW))
 	PTHREAD_LIB = 
@@ -93,15 +80,16 @@
 	override EXTRA_FLAGS += -DNO_SPINLOCK
 endif
 
-ifneq (1,$(NO_TBB))
-	LIBS += $(PTHREAD_LIB) -ltbb
-	LIBS += -ltbbmalloc$(if $(RELEASE_BUILD),,_proxy)
-	override EXTRA_FLAGS += -DWITH_TBB
-else
-	LIBS += $(PTHREAD_LIB)
+
+LIBS += $(PTHREAD_LIB)
+ifeq (1, $(WITH_TBBMALLOC))
+	LIBS += -ltbbmalloc
 endif
 
 POPCNT_CAPABILITY ?= 1
+ifeq (aarch64,$(shell uname -m))
+	POPCNT_CAPABILITY=0
+endif
 ifeq (1, $(POPCNT_CAPABILITY))
     override EXTRA_FLAGS += -DPOPCNT_CAPABILITY
     INC += -I third_party
@@ -124,33 +112,32 @@
 	override EXTRA_FLAGS += -DPER_THREAD_TIMING=1
 endif
 
-ifeq (1,$(WITH_AFFINITY))
-	override EXTRA_FLAGS += -DWITH_AFFINITY=1
+OTHER_CPPS = ccnt_lut.cpp ref_read.cpp alphabet.cpp shmem.cpp \
+             edit.cpp ebwt.cpp
+
+ifneq (1, $(NO_SPINLOCK))
+	OTHER_CPPS += bt2_locks.cpp
 endif
 
 ifeq (1,$(WITH_QUEUELOCK))
+	OTHER_CPPS += bt2_locks.cpp
 	override EXTRA_FLAGS += -DWITH_QUEUELOCK=1
 endif
 
 ifeq (1,$(WITH_FINE_TIMER))
 	override EXTRA_FLAGS += -DUSE_FINE_TIMER=1
 endif
-
-OTHER_CPPS = ccnt_lut.cpp ref_read.cpp alphabet.cpp shmem.cpp \
-             edit.cpp ebwt.cpp
 
 ifeq (1,$(WITH_COHORTLOCK))
 	override EXTRA_FLAGS += -DWITH_COHORTLOCK=1
 	OTHER_CPPS += cohort.cpp cpu_numa_info.cpp
 endif
 
-ifeq (1,$(NO_TBB))
-	OTHER_CPPS += tinythread.cpp
-endif
+OTHER_CPPS += tinythread.cpp
 
 SEARCH_CPPS = qual.cpp pat.cpp ebwt_search_util.cpp ref_aligner.cpp \
               log.cpp hit_set.cpp sam.cpp \
-              color.cpp color_dec.cpp hit.cpp
+              hit.cpp
 SEARCH_CPPS_MAIN = $(SEARCH_CPPS) bowtie_main.cpp
 
 BUILD_CPPS =
@@ -160,7 +147,7 @@
 VERSION = $(shell cat VERSION)
 
 BITS=32
-ifeq (x86_64,$(shell uname -m))
+ifeq (1,$(shell echo __LP64__ | $(CC) -P -E - | tr -d '\n'))
 	BITS=64
 endif
 # msys will always be 32 bit so look at the cpu arch instead.
@@ -170,18 +157,12 @@
 	endif
 endif
 
-ifeq (1,$(LINUX))
-    ifeq (x86_64, $(shell uname -p))
-        BITS=64
-    endif
-endif
-
 ifeq (32,$(BITS))
     $(error bowtie2 compilation requires a 64-bit platform )
 endif
 
-DEBUG_FLAGS = -O0 -g3 -m64
-RELEASE_FLAGS = -O3 -m64
+DEBUG_FLAGS = -O0 -g3
+RELEASE_FLAGS = -O3
 NOASSERT_FLAGS = -DNDEBUG
 FILE_FLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
 
@@ -205,7 +186,6 @@
                $(wildcard genomes/NC_008253.fna) \
                $(wildcard reads/e_coli_1000.*) \
                $(wildcard reads/e_coli_1000_*) \
-               SeqAn-1.1 \
                bowtie \
                bowtie-build \
                bowtie-inspect \
@@ -241,10 +221,19 @@
 
 allall: $(BIN_LIST) $(BIN_LIST_AUX)
 
+
+DATE_FMT = %Y-%m-%dT%H:%M:%S
+ifdef SOURCE_DATE_EPOCH
+    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
+    BUILD_HOST := reproduciblebuild
+else
+    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
+    BUILD_HOST ?= `hostname`
+endif
 DEFS=-fno-strict-aliasing \
      -DBOWTIE_VERSION="\"`cat VERSION`\"" \
-     -DBUILD_HOST="\"`hostname`\"" \
-     -DBUILD_TIME="\"`date`\"" \
+     -DBUILD_HOST="\"$(BUILD_HOST)\"" \
+     -DBUILD_TIME="\"$(BUILD_DATE)\"" \
      -DCOMPILER_VERSION="\"`$(CXX) -v 2>&1 | tail -1`\"" \
      $(FILE_FLAGS) \
      $(PTHREAD_DEF) \
@@ -378,7 +367,7 @@
 		$(OTHER_CPPS) \
 		$(LIBS)
 
-bowtie-inspect-l-debug: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS) 
+bowtie-inspect-l-debug: bowtie_inspect.cpp $(HEADERS) $(OTHER_CPPS)
 	$(CXX) $(DEBUG_FLAGS) \
 		$(DEBUG_DEFS) $(ALL_FLAGS) \
 		$(DEFS) -DBOWTIE_64BIT_INDEX $(WARNING_FLAGS) \
@@ -390,16 +379,16 @@
 bowtie-src.zip: $(SRC_PKG_LIST)
 	chmod a+x scripts/*.sh scripts/*.pl
 	mkdir .src.tmp
-	mkdir .src.tmp/bowtie-$(VERSION)
+	mkdir .src.tmp/bowtie-$(VERSION)-src
 	zip -r tmp.zip $(SRC_PKG_LIST)
-	mv tmp.zip .src.tmp/bowtie-$(VERSION)
-	cd .src.tmp/bowtie-$(VERSION) ; unzip tmp.zip ; rm -f tmp.zip
-	cd .src.tmp ; zip -r $@ bowtie-$(VERSION)
-	cp .src.tmp/$@ .
+	mv tmp.zip .src.tmp/bowtie-$(VERSION)-src
+	cd .src.tmp/bowtie-$(VERSION)-src ; unzip tmp.zip ; rm -f tmp.zip
+	cd .src.tmp ; zip -r bowtie-$(VERSION)-src.zip bowtie-$(VERSION)-src
+	cp .src.tmp/bowtie-$(VERSION)-src.zip .
 	rm -rf .src.tmp
 
-bowtie-bin.zip: $(RELEASE_DEPENDENCIES) $(BIN_PKG_LIST) $(BIN_LIST) $(BIN_LIST_AUX) 
-	$(eval PKG_DIR=bowtie-$(VERSION)-$(if $(MACOS),macos,$(if $(MINGW),mingw,linux))-x86_64)
+bowtie-bin.zip: $(RELEASE_DEPENDENCIES) $(BIN_PKG_LIST) $(BIN_LIST) $(BIN_LIST_AUX)
+	$(eval PKG_DIR=bowtie-$(VERSION)-$(if $(MACOS),macos,$(if $(MINGW),mingw,linux))-$(ARCH))
 	chmod a+x scripts/*.sh scripts/*.pl
 	rm -rf .bin.tmp
 	mkdir .bin.tmp
@@ -421,6 +410,7 @@
 doc/manual.html: MANUAL.markdown
 	echo "<h1>Table of Contents</h1>" > .tmp.head
 	pandoc -B .tmp.head \
+	       --ascii \
 	       --css style.css -o $@ \
 	       --from markdown --to HTML \
 	       --metadata title:"Bowtie Manual" \
@@ -444,10 +434,10 @@
 .PHONY: random-test
 random-test: all perl-deps
 	eval `perl -I $(CURDIR)/.perllib.tmp/lib/perl5 -Mlocal::lib=$(CURDIR)/.perllib.tmp` ; \
-	./scripts/test/random_bowtie_tests.sh
+	./scripts/test/random_bowtie_tests.sh $(*-command-variables-*-)
 
 .PHONY: perl-deps
 perl-deps:
 	if [ ! -e .perllib.tmp ]; then \
-		DL=$$([ `which wget` ] && echo wget -O- || echo curl -L) ; \
+		DL=$$([ `which wget` ] && echo "wget -O-" || echo "curl -L") ; \
 		mkdir .perllib.tmp ; \
