=== debian/changelog ===
bowtie (1.3.0+dfsg1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Really fix arch all build

  [ Étienne Mollier ]
  * Excluded third_party/
    Closes: #972004
  * Reviewed debian/patches/popcnt_capability.patch

 -- Andreas Tille <tille@debian.org>  Tue, 13 Oct 2020 13:16:39 +0200

bowtie (1.3.0+dfsg-3) unstable; urgency=medium

  * Fix arch all build
  * Set POPCNT_CAPABILITY=0 for more architectures than just aarch64
    Closes: #972004

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 16:51:00 +0200

bowtie (1.3.0+dfsg-2) unstable; urgency=medium

  * Install usr/local/bin only if existing
    Closes: #972004

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 09:10:57 +0200

bowtie (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version (upstream has adopted several patches)
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop seqan-dev from Build-Depends
  * Point dh_install to binaries available in usr/local/bin

 -- Andreas Tille <tille@debian.org>  Tue, 15 Sep 2020 09:50:29 +0200
