=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
            Alexandre Mestiashvili <mestia@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                libtbb-dev,
                python3,
-               seqan-dev,
                zlib1g-dev,
                libclone-perl,
                libtest-deep-perl,
                libsys-info-perl
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/bowtie
 Vcs-Git: https://salsa.debian.org/med-team/bowtie.git
 Homepage: http://bowtie-bio.sourceforge.net/
+Rules-Requires-Root: no
 
 Package: bowtie
 Architecture: alpha any-amd64 arm64 mips64el ppc64 ppc64el s390x sparc64 riscv64
