## bowtie 1.3.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 ARCH = $(shell uname -m)
 INC = $(if $(RELEASE_BUILD),-I$(CURDIR)/.include) -I third_party
-LIBS = $(LDFLAGS) $(if $(RELEASE_BUILD),-L$(CURDIR)/.lib) -lz
+LIBS = $(LDFLAGS) $(if $(RELEASE_BUILD),-L$(CURDIR)/.lib) -lz -lpthread
 HEADERS = $(wildcard *.h)
 BOWTIE_MM = 1
 BOWTIE_SHARED_MEM = 1
@@ -65,25 +65,9 @@
 ifeq (1,$(BOWTIE_SHARED_MEM))
     SHMEM_DEF = -DBOWTIE_SHARED_MEM
 endif
-PTHREAD_PKG =
-PTHREAD_LIB =
-PTHREAD_DEF =
 
 ifeq (1,$(MINGW))
-	PTHREAD_LIB = 
 	override EXTRA_FLAGS += -static-libgcc -static-libstdc++
-else
-    PTHREAD_LIB = -lpthread
-endif
-
-ifeq (1,$(NO_SPINLOCK))
-	override EXTRA_FLAGS += -DNO_SPINLOCK
-endif
-
-
-LIBS += $(PTHREAD_LIB)
-ifeq (1, $(WITH_TBBMALLOC))
-	LIBS += -ltbbmalloc
 endif
 
 POPCNT_CAPABILITY ?= 1
@@ -92,7 +76,6 @@
 endif
 ifeq (1, $(POPCNT_CAPABILITY))
     override EXTRA_FLAGS += -DPOPCNT_CAPABILITY
-    INC += -I third_party
 endif
 
 PREFETCH_LOCALITY = 2
@@ -113,15 +96,16 @@
 endif
 
 OTHER_CPPS = ccnt_lut.cpp ref_read.cpp alphabet.cpp shmem.cpp \
-             edit.cpp ebwt.cpp
-
-ifneq (1, $(NO_SPINLOCK))
-	OTHER_CPPS += bt2_locks.cpp
-endif
+             edit.cpp ebwt.cpp bt2_locks.cpp
 
 ifeq (1,$(WITH_QUEUELOCK))
-	OTHER_CPPS += bt2_locks.cpp
-	override EXTRA_FLAGS += -DWITH_QUEUELOCK=1
+	NO_SPINLOCK = 1
+	override EXTRA_FLAGS += -DWITH_QUEUELOCK
+endif
+
+ifeq (1,$(NO_SPINLOCK))
+$(info $(NO_SPINLOCK))
+	override EXTRA_FLAGS += -DNO_SPINLOCK
 endif
 
 ifeq (1,$(WITH_FINE_TIMER))
@@ -242,8 +226,8 @@
      $(SHMEM_DEF)
 
 ALL_FLAGS = $(EXTRA_FLAGS) $(CFLAGS) $(CXXFLAGS)
-DEBUG_DEFS = -DCOMPILER_OPTIONS="\"$(DEBUG_FLAGS) $(ALL_FLAGS)\""
-RELEASE_DEFS = -DCOMPILER_OPTIONS="\"$(RELEASE_FLAGS) $(ALL_FLAGS)\""
+DEBUG_DEFS = -DCOMPILER_OPTIONS="\"$(DEBUG_FLAGS) $(EXTRA_FLAGS) $(CFLAGS) $(CXXFLAGS)\""
+RELEASE_DEFS = -DCOMPILER_OPTIONS="\"$(RELEASE_FLAGS) $(EXTRA_FLAGS) $(CFLAGS) $(CXXFLAGS)\""
 
 #
 # bowtie-build targets
@@ -441,3 +425,5 @@
 	if [ ! -e .perllib.tmp ]; then \
 		DL=$$([ `which wget` ] && echo "wget -O-" || echo "curl -L") ; \
 		mkdir .perllib.tmp ; \
+		$$DL http://cpanmin.us | perl - -l $(CURDIR)/.perllib.tmp App::cpanminus local::lib ; \
+		eval `perl -I $(CURDIR)/.perllib.tmp/lib/perl5 -Mlocal::lib=$(CURDIR)/.perllib.tmp` ; \
