=== debian/changelog ===
bowtie (1.3.1-3) unstable; urgency=medium

  * Fix clean target
    Closes: #1043697

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 12:27:31 +0100

bowtie (1.3.1-2) unstable; urgency=medium

  * Exclude i386 build in salsa-ci
  * Disable reprotest
  * Add loong64 to list of architectures
    Closes: #1058573
  * Standards-Version: 4.6.2 (routine-update)
  * Use secure URI in Homepage field.
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Dec 2023 20:54:44 +0100

bowtie (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Apply multi-arch hints.
    + bowtie-examples: Add Multi-Arch: foreign.
  * No need to exclude files from upstream tarball any more

 -- Andreas Tille <tille@debian.org>  Tue, 14 Sep 2021 07:01:35 +0200
