=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
                libclone-perl,
                libtest-deep-perl,
                libsys-info-perl
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bowtie
 Vcs-Git: https://salsa.debian.org/med-team/bowtie.git
-Homepage: http://bowtie-bio.sourceforge.net/
+Homepage: https://bowtie-bio.sourceforge.net/
 Rules-Requires-Root: no
 
 Package: bowtie
-Architecture: alpha any-amd64 arm64 mips64el ppc64 ppc64el s390x sparc64 riscv64
+Architecture: alpha any-amd64 arm64 loong64 mips64el ppc64 ppc64el s390x sparc64 riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -45,6 +45,7 @@
 Depends: ${misc:Depends}
 Recommends: bowtie
 Enhances: bowtie
+Multi-Arch: foreign
 Description: Examples for bowtie, the ultrafast memory-efficient short read aligner
  This package addresses the problem to interpret the results from the
  latest (2010) DNA sequencing technologies. Those will yield fairly
