=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,12 @@
 	find . -name bowtie-buildc -delete
 	find . -name .cvsignore -delete
 
+override_dh_install:
+	dh_install
+	if [ -d debian/tmp/usr/local/bin ] ; then \
+	    dh_install -a usr/local/bin	usr ; \
+	fi
+
 override_dh_installman-arch:
 	help2man --name="ultrafast memory-efficient short read aligner" --no-info \
              $(CURDIR)/bowtie > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/bowtie.1
@@ -39,8 +45,13 @@
 #	Following line is not needed because gzipped genome/ (by dh_compress) is always 644.
 #	chmod 644 debian/bowtie-examples/usr/share/doc/bowtie/examples/genomes/*
 
+override_dh_missing-indep:
+	dh_missing -i --list-missing
+
 override_dh_auto_clean:
 	rm -f .bowtie*
+	rm -f .simple*
+	rm -rf __pycache__
 	dh_auto_clean
 
 override_dh_auto_test:
